package eu.mhsl.craftattack.spawn.util;

import java.util.ArrayList;

public class LimitedSizedList<T> extends ArrayList<T> {
    private final int maxSize;

    public LimitedSizedList(int size){
        this.maxSize = size;
    }

    public boolean add(T element){
        boolean r = super.add(element);
        if (size() > maxSize){
            removeRange(0, size() - maxSize);
        }
        return r;
    }

    public T getYoungest() {
        return get(size() - 1);
    }

    public T getOldest() {
        return get(0);
    }
}
